Telefonino.net network
 
| HOMEPAGE | INDICE FORUM | REGOLAMENTO | ::. NEI PREFERITI .:: | RSS Forum | RSS News | NEWS web | NEWS software |
| PUBBLICITA' | | ARTICOLI | WIN XP | VISTA | WIN 7 | REGISTRI | SOFTWARE | MANUALI | RECENSIONI | LINUX | HUMOR | HARDWARE | DOWNLOAD | | CERCA nel FORUM » |

Torna indietro   WinTricks Forum > Sistemi Operativi > Linux e altri Sistemi Operativi

Notices

Rispondi
 
Strumenti discussione
Vecchio 05-02-2004, 16.37.35   #1
wolverin
Hero Member
 
L'avatar di wolverin
 
Registrato: 19-02-2002
Messaggi: 862
wolverin promette bene
da KDE 3.1 a KDE 3.2

Come ho gi detto in altre discussioni nel mio pc ho installata anche la slack 9.0. Adesso ho scaricato KDE 3.2 (file con estensione .tgz) e vorrei alcune conferme e informazioni. Allora ho letto che ovviamente non essendo un upgrade bisogna prima di tutto disinstallare la versione vecchia, quindi si pu procedere all'installazione della nuova. Per l'installazione devo seguire un'ordine ben preciso, es. prima le librerie e i file di base (kdelibs e kdebase) e poi tutto il resto oppure indifferente?
Mettiamo che tutto si installi devo andare a modificare qualche file di configurazione oppure basta lanciare startx? (adesso KDE il window manager di default).

Tnx ciao
___________________________________

Cittadini........

Fatti non pugnette!!!
wolverin non  collegato   Rispondi citando
Vecchio 05-02-2004, 17.04.59   #2
JMass
WT Schwarze Lwe
 
L'avatar di JMass
 
Registrato: 27-07-2000
Loc.: Tergeste-VRBS-Fidelissima
Messaggi: 1.390
JMass promette bene
Premetto che installo pochissimo usando i tar.gz, per credo che l'installazione debba seguire un ordine preciso causa le dipendenze, comunque sul sito di KDE ci saranno di sicuro info a riguardo. Per quanto riguarda startx, se nel file /home/utente/.xinitrc hai scritto startkde non dovrebbero esserci problemi.
___________________________________

"Perch tanto odio?" (Edika)
"They who dream by day are cognizant of many things which escape those who dream only by night." (E. A. Poe)
Strive to Survive Causing Least Suffering Possible
JMass non  collegato   Rispondi citando
Vecchio 06-02-2004, 01.07.15   #3
pholcus
Linux Supporter
 
L'avatar di pholcus
 
Registrato: 02-12-2000
Loc.: Monza
Messaggi: 1.987
pholcus promette bene
Allora la cosa migliore sotto slackware e' usare swaret..ma visto che hai gia' scaricato i pacchetti, puoi fare in 2 modi..

1) rimuovi i pacchetti vecchi: ti porti in /var/log/packages, e qui dai il comando
removepkg kde*
removepkg quanta*
e volendo anche le librerie qt
poi vai nella directory in cui hai scaricato i pacchetti e dai il comando
installpkg *.tgz

ecco fatto.

2) vai nella dir dove hai scaricato i pacchetti e dai il comando
upgradepkg *.tgz

per quanto riguarda le impostazione tipo le icone, ecc ecc, non ci dovrebbero essere problemi anche se visto che si passa dalla release 3.1 alla 3.2 sarebbe meglio cancellare le impostazioni nella propria home ( o fare un backup ).. Copia o sposta da qualche parte la directory nella tua home che si chiama .kde ( e' un file nascosto ), cancellala e poi logout e ti rilogghi, dovrebbe ripartire il wizard..

Ciao!
pholcus non  collegato   Rispondi citando
Vecchio 06-02-2004, 10.36.41   #4
wolverin
Hero Member
 
L'avatar di wolverin
 
Registrato: 19-02-2002
Messaggi: 862
wolverin promette bene
Sono andato a leggere un po' di faq nel sito KDE e da quello che ho potuto capire (il mio inglese zoppica), come dice pholcus, possibile sia disinstallare i vecchi ed installare i nuovi che fare l'upgrade. Inoltre diceva che se si disinstalla bisognava installare per primo arts, poi kdelibs e quindi kdebase dopo di che indifferente.
Ma nel post di pholcus ho visto un asterisco magico che mi risolve questo problema. Molte grazie per le risposte ora mi rimane solo che provare.


ciao
___________________________________

Cittadini........

Fatti non pugnette!!!
wolverin non  collegato   Rispondi citando
Vecchio 06-02-2004, 12.43.27   #5
pholcus
Linux Supporter
 
L'avatar di pholcus
 
Registrato: 02-12-2000
Loc.: Monza
Messaggi: 1.987
pholcus promette bene
Nn ti preoccupare delle dipendenze, tanto la slack nn le controlla..E' indifferente installare i pacchetti prima uno e poi l'altro o viceversa..

Cmnq se vai nell'ftp ufficiale o un suo mirror tipo ftp://ftp.heanet.ie/mirrors/ftp.slac.../slackware/kde
scarichi tutti i pacchetti della serie 3.2.0 e gli script..
Poi ti porti nella directory dove hai scaricato i pacchetti e lanci lo script ./install-packages..parte una interfaccia pseudo-grafica e li puoi selezionare i pacchetti da installare

Ah, sempre meglio usare i pacchetti ufficiali slackware, piuttosto che quelli su kde..

Ciao
pholcus non  collegato   Rispondi citando
Vecchio 06-02-2004, 13.21.13   #6
wolverin
Hero Member
 
L'avatar di wolverin
 
Registrato: 19-02-2002
Messaggi: 862
wolverin promette bene
Sto scaricando dall'ftp che mi hai indicato, ma cosa sono i file .asc? sono necessari per l'istallazione o posso fare a meno di scaricarli?


ciao
___________________________________

Cittadini........

Fatti non pugnette!!!
wolverin non  collegato   Rispondi citando
Vecchio 06-02-2004, 15.42.47   #7
pholcus
Linux Supporter
 
L'avatar di pholcus
 
Registrato: 02-12-2000
Loc.: Monza
Messaggi: 1.987
pholcus promette bene
e' la signature..scarica anche quella tanto son pochi k..
ciao
pholcus non  collegato   Rispondi citando
Vecchio 07-02-2004, 16.02.13   #8
wolverin
Hero Member
 
L'avatar di wolverin
 
Registrato: 19-02-2002
Messaggi: 862
wolverin promette bene
Allora.. il comando upgradepkg *.tar ha funzionato alla grande ha fatto l'upgrade di tutti i pacchetti kde, ora ho il problema della configurazione. Lanciando startx mi restituisce un errore "can't find kdeinit" che un eseguibile e quindi ritorno in modalit testuale. Il problema che quel file c' ed all'interno di /opt/kde/bin, quindi deve esserci un problema di configurazione (L'errore me lo da identico su due macchine dopo l'upgrade). Mi rivolgo sempre a te Pholcus, per caso hai un'idea di dove devo mettere le mani o di dove posso trovare della documentazione al riguardo?


tnx
___________________________________

Cittadini........

Fatti non pugnette!!!
wolverin non  collegato   Rispondi citando
Vecchio 07-02-2004, 18.34.03   #9
pholcus
Linux Supporter
 
L'avatar di pholcus
 
Registrato: 02-12-2000
Loc.: Monza
Messaggi: 1.987
pholcus promette bene
Ciao,
probabilmente il path e' sbagliato

echo $KDEDIR
e
echo $PATH per controllare se $KDEDIR/bin e' nel path

Allora, kde dobrebbe essere in /opt/kde, se nn e' cosi fai un link.
Controlla in /etc/init.d ci sono dei file tipo kde.sh kde.csh, e dobrebbero esserci anche gli stessi file con estensione .new
I .new son quelli per far andare il kde nuovo..Devi sostituire quelli vecchi con quelli nuovi
Se nn ci sono i .new fa niente, modifica kde.csh e kde.sh in modo da settare il path corretto..

PS: potrei aver dimenticato qualcosa..controllo appena possinile, cieo
pholcus non  collegato   Rispondi citando
Vecchio 10-02-2004, 00.35.59   #10
wolverin
Hero Member
 
L'avatar di wolverin
 
Registrato: 19-02-2002
Messaggi: 862
wolverin promette bene
Questo quello che c' in kde.csh

#!/bin/csh
# KDE additions:
if ( ! $?KDEDIR ) then
setenv KDEDIR /opt/kde
endif
if ( $?PATH ) then
setenv PATH $KDEDIR/bin:$PATH
else
setenv PATH $KDEDIR/bin
endif



e questo in kde.sh

#!/bin/sh
# KDE additions:
KDEDIR=/opt/kde
PATH=$PATH:$KDEDIR/bin
export KDEDIR PATH



Dando i comandi per echo $KDEDIR e echo $PATH trovo sia /opt/kde che /opt/kde/bin


Da quello che ne capisco io il path corretto forse l'inghippo sta da un'altra parte. Attendo nuovamente fiducioso nuove dritte.

Grazie ciao
___________________________________

Cittadini........

Fatti non pugnette!!!
wolverin non  collegato   Rispondi citando
Vecchio 10-02-2004, 00.49.49   #11
pholcus
Linux Supporter
 
L'avatar di pholcus
 
Registrato: 02-12-2000
Loc.: Monza
Messaggi: 1.987
pholcus promette bene
Mi ricordo che anche a me era successa una cosa simile quando avevo la slack8.0, ma nn ricordo come ho risolto..ti assicuro che era una cavolata..solo che nn riesco a ricordare..

ma se provi a digitare in una console kdein e poi il tab x completare, ti viene fuori kdeinit?
pholcus non  collegato   Rispondi citando
Vecchio 10-02-2004, 10.31.57   #12
wolverin
Hero Member
 
L'avatar di wolverin
 
Registrato: 19-02-2002
Messaggi: 862
wolverin promette bene
Si funzia pure il completamento automatico... mah...
Vabb intanto provo ancora metterci le mani e come window manager utilizzo gnome. La cosa strana che, come avevo gi scritto, quell'errore me lo da su due macchine differenti e non ci ho sbrodolato ho installato la slack 9.0 e come prima cosa ho fatto l'upgrade a kde 3.2


ciao
___________________________________

Cittadini........

Fatti non pugnette!!!
wolverin non  collegato   Rispondi citando
Vecchio 10-02-2004, 15.16.07   #13
azriel
Junior Member
 
Registrato: 23-11-2001
Messaggi: 59
azriel promette bene
Quota:
Originariamente inviato da wolverin
Si funzia pure il completamento automatico... mah...
Vabb intanto provo ancora metterci le mani e come window manager utilizzo gnome. La cosa strana che, come avevo gi scritto, quell'errore me lo da su due macchine differenti e non ci ho sbrodolato ho installato la slack 9.0 e come prima cosa ho fatto l'upgrade a kde 3.2
forse pu dipendere dal fatto che tu hai la slack 9.0 mentre l' ftp indicato da pholcus fa riferimento alla slack "current" che la 9.1
azriel non  collegato   Rispondi citando
Vecchio 10-02-2004, 15.56.02   #14
wolverin
Hero Member
 
L'avatar di wolverin
 
Registrato: 19-02-2002
Messaggi: 862
wolverin promette bene
Quota:
Originariamente inviato da azriel


forse pu dipendere dal fatto che tu hai la slack 9.0 mentre l' ftp indicato da pholcus fa riferimento alla slack "current" che la 9.1

Prendo atto anche di questo suggerimento e prover ad installare non pi i pacchetti scaricati dal sito ufficiale della slack, ma i soregenti presi dal sito KDE. Me li dovr compilare tutti.......
___________________________________

Cittadini........

Fatti non pugnette!!!
wolverin non  collegato   Rispondi citando
Vecchio 11-02-2004, 13.00.07   #15
pholcus
Linux Supporter
 
L'avatar di pholcus
 
Registrato: 02-12-2000
Loc.: Monza
Messaggi: 1.987
pholcus promette bene
Mi potresti alleager i file /etc/X11/xinit/xinitrc e /opt/kde/bin/startkde ?

Ciao
pholcus non  collegato   Rispondi citando
Rispondi


Utenti attualmente attivi che stanno leggendo questa discussione: 1 (0 utenti e 1 ospiti)
 
Strumenti discussione

Regole di scrittura
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is ON
Gli smilies sono ON
Il codice HTML OFF

Vai al forum

Orario GMT +2. Ora sono le: 03.46.58.


E' vietata la riproduzione, anche solo in parte, di contenuti e grafica.
Copyright 1999-2017 Edizioni Master S.p.A. p.iva: 02105820787 Tutti i diritti sono riservati
L'editore NON si assume nessuna responsabilità dei contenuti pubblicati sul forum in quanto redatti direttamente dagli utenti.
Questi ultimi sono responsabili dei contenuti da loro riportati nelle discussioni del forum
Powered by vBulletin - 2010 Copyright Jelsoft Enterprises Limited.